version: 1
name: eastmoney_hybrid_default

default_mode: custom_first   # custom_first | turix_first

safety:
  require_human_confirm_before_submit: true
  forbid_submit_keywords:
    - 提交
    - 确认
    - 下单
    - 买入
    - 卖出
  max_notional_cny_per_test: 10000

custom_first_pipeline:
  - ax_navigation
  - ocr_anchor_detect
  - coordinate_click
  - form_fill
  - stop_before_submit

fallback:
  enabled: true
  when:
    - ocr_miss_count_gte: 3
    - page_structure_changed: true
  use: turix
  turix_max_steps: 8
  turix_goal: "only navigate/fill; never submit"

cost_control:
  turix_daily_step_budget: 120
  turix_single_run_max_steps: 8
  split_tasks:
    - navigate_to_condition_order
    - fill_form
    - verify_and_stop

logging:
  path: data/eastmoney-rpa/execution.jsonl
  save_screenshots: true
  screenshot_dir: data/eastmoney-rpa/screens
